Blooio API Reference
Numbers & Contact Card

Get contact card (Coming Soon)

⚠️ COMING SOON - This endpoint is temporarily disabled while we stabilize this feature.

Get the personal contact card (Name & Photo) for the specified phone number. This is the identity that gets shared with contacts in iMessage.

GET
/me/numbers/{number}/contact-card

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Path Parameters

number*string

E.164 phone number (URL-encoded, e.g., %2B15551234567)

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://backend.blooio.com/v2/api/me/numbers/string/contact-card"
{
  "phone_number": "string",
  "first_name": "string",
  "last_name": "string",
  "name": "string",
  "avatar": "string",
  "has_wallpaper": true,
  "sharing": {
    "enabled": true,
    "audience": 0,
    "name_format": 0
  }
}
{
  "error": "string",
  "status": 0
}
{
  "error": "string",
  "status": 0
}
Empty
{
  "error": "string",
  "status": 0
}